module Lifen

  require 'virtus'
  require 'faraday'
  require 'inflecto'

  require "lifen/version"

  require 'lifen/error'
  require 'lifen/client'
  require 'lifen/user_authenticated_client'
  require 'lifen/app_authenticated_client'
  require 'lifen/configuration'
  require 'lifen/base'

  require 'lifen/token'
  require 'lifen/status'
  require 'lifen/settings'
  require 'lifen/user'
  require 'lifen/flow'
  require 'lifen/flows'
  require 'lifen/message'

  Virtus.finalize

end
